Bug 7909 - 3rd party applets cause Media Player Widget not to work (needs to be readded)
: 3rd party applets cause Media Player Widget not to work (needs to be readded)
Status: NEW
Product: Desktop Widgets
Media player
: 5.0/(3.2010.02-8)
: N900 Maemo
: Low normal with 32 votes (vote)
: ---
Assigned To: unassigned
: mediaplayer-applet-bugs
:
: moreinfo
:
:
  Show dependency tree
 
Reported: 2010-01-13 15:36 UTC by Radu Capitanu
Modified: 2011-09-20 20:26 UTC (History)
24 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Radu Capitanu (reporter) 2010-01-13 15:36:35 UTC
SOFTWARE VERSION:
1.2009.44-1

EXACT STEPS LEADING TO PROBLEM: 
1. I have Media Player Widget on the Home Screen 
2. If I restart my N900, after all is loaded, when I press play, forward,
backward buttons on Media Player Widget nothing happens.
3. I have to remove Widget fro the Home Screen and then to add it again to make
it work.
4. If I close again my phone same story.

EXPECTED OUTCOME:

Media Player Widget to work properly after the phone is Powered On. 

ACTUAL OUTCOME:

After Power On the device Media Player Widget fails to work.

REPRODUCIBILITY:
(always)

EXTRA SOFTWARE INSTALLED:

No

OTHER COMMENTS:

I hope you will fix this because it's a needed feature and it's annoying to
remove and then add the widget after every restart. 

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7)
Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729)
Comment 1 Andre Klapper maemo.org 2010-01-13 17:07:02 UTC
Hi,
what does the Media Player Desktop widget actually display when this happens?
There should be two lines in white and grey...
Comment 2 Andre Klapper maemo.org 2010-01-13 17:19:19 UTC
*** Bug 7905 has been marked as a duplicate of this bug. ***
Comment 3 Radu Capitanu (reporter) 2010-01-13 17:21:20 UTC
(In reply to comment #1)

Nothing. It looks normal showing the name of the song from playlist but without
any reaction on play, forward and backward buttons. If I keep pressed any
button it displays the editing layout home desktop. The only solution I found
was to remove and add widget, only than responds to commands.
Comment 4 Vladimir Oka 2010-01-13 17:47:39 UTC
I am seeing this, too. Behaviour was the same before firmware update.

I also found that you can revive the widget by clicking on song title which
opens the media player itself. Once media player is minimised the widget works. 

A side question: if a stereo A2DP-enabled Bluetooth headset is connected,
should pressing back/forward buttons on it be also passed to the widget? Or
this works already but is blocked by this bug?
Comment 5 Percy Leonhardt 2010-01-15 08:58:15 UTC
I can confirm this bug for firmware 42-11 and 51-1 but I cannot confirm the
workaround from comment #4. 

After a reboot I can only pause the playback or skip to the previous or next
song but play won't do anything. When skipping through the playlist the widget
updates the title correctly but does nothing else.
Comment 6 Radu Capitanu (reporter) 2010-01-15 16:51:48 UTC
Meanwhile I discovered what is producing this. I uninstalled all the desktop
widgets from maemo.org, including OMWeather and after a restart Media Player
widget react normally. 

I tried after to add the widgets back one by one, restarting my device after
every installed widget and I concluded that no one is compatible with Media
Player one.

I guess there are conflicts between Media Player Widget and those from
maemo.org.

Now I don't know for sure if Media Player Widget is causing this.

Still I managed to install a widget who is not in conflict with Media Player
one and that is ForecaWeather Widget, the one from nokia repository.

I think the creators of desktop widgets from should consider to verify and
update they widgets maemo.org.

Please try and tell me if I was right!

Thank you!
Comment 7 Andre Klapper maemo.org 2010-01-15 17:38:53 UTC
(In reply to comment #6)
> Meanwhile I discovered what is producing this. I uninstalled all the desktop
> widgets from maemo.org, including OMWeather and after a restart Media Player
> widget react normally. 

> I guess there are conflicts between Media Player Widget and those from
> maemo.org.

Thanks for the investigation!
Can you name these widgets please, so it's easier trying to reproduce?

Can others here confirm this?
Comment 8 Radu Capitanu (reporter) 2010-01-15 20:59:09 UTC
(In reply to comment #7)
> Here's the widget list that seems conflictual with Media Player widget:
- OMWeather
- Personal Photo Phrame
- Eyes Widget
- Personal Datapla Monitor
- Conversations Inbox Dextop Widget
- systeminfowidget
- Symple FMTX Dexctop Widget

I wait for another opinions regarding this. I hope it will be found a solution
because those were really useful.
Comment 9 dpuricelli 2010-01-16 16:15:23 UTC
I can confirm this bug; furthermore I'm sure the widget used to work and
stopped to do last week or so, I don't know if firmware updates are to blame or
other widgets like Radu said.

While we're at it, I have a question about how the widget should work with the
Media Player, this is the scenario:

1) Click on play button on the widget, music starts (let's ignore the bug), no
media player windows are open.
2) You want to change artist, you click on the widget, now you have a media
player window where you can navigate thru them.
3) Choose a new artist from media player window, the new song starts.
4) Close the media player window and, surprise, music stops: you have to start
play on the widget once again.

This is how it's supposed to work? Looks like a bit weird to me
Comment 10 Andre Klapper maemo.org 2010-01-18 15:51:02 UTC
Can others that run into this issue please also list their Desktop Widgets,
plus testing if removing them fixes the issue?


(In reply to comment #9)
> While we're at it, I have a question about how the widget should work with the
> Media Player, this is the scenario:

Unrelated to this report. Please go somewhere else, e.g. http://talk.maemo.org
Comment 11 Jason 2010-01-18 16:12:16 UTC
i also have the same problem i have voted for this
Comment 12 Jason 2010-01-18 16:17:24 UTC
(In reply to comment #11)
> i also have the same problem i have voted for this 
> 

sorry my message did not show my full comment. my desktop widgets are FMTX app
google search media player conversations web and the message shower one cant
remember its name where you can see a text message without opening it
Comment 13 Andre Klapper maemo.org 2010-01-18 16:21:54 UTC
So can anybody reproduce this with non-3rd-party, official widgets?
Comment 14 Vladimir Oka 2010-01-18 16:47:54 UTC
OK. I did a bit of detailed testing for this, using 51-1.

Widgets I used:
a) personal photo frame
b) calendar
c) conversations inbox
d) omweather
e) personal dataplan monitor
f) RSS
These are the ones I normally use.

Now, when I activated only one at a time, I saw no problems. I also so no
problems with a+b together. Then I tried a+b+d, and the very first time
couldn't start playback. I then removed d and everything was fine. However!
Then I tried a+b+d again, and MP plug-in worked fine! Hmmm.

Then I activated ALL of the above, and couldn't start playback either. I didn't
continue testing all remaining combinations since Nokia pays me to manage
slightly different sort of testing. ;)

My (semi-educated) guess is that the number of active widgets somehow affects
the efficiency of passing the tap events, with more widgets making things
worse. 

I hope this helps at least a bit...
Comment 15 Percy Leonhardt 2010-01-18 17:04:30 UTC
(In reply to comment #13)
> So can anybody reproduce this with non-3rd-party, official widgets?

No, I could only reproduce it with
- Personal Dataplan Monitor
- Personal IP Address
- TouchSearch

I cannot confirm that the number of widgets has any influence on the problem.
Comment 16 Vladimir Oka 2010-01-18 19:09:49 UTC
Apologies...

A correction to my last entry: in fact just the play button does not work. It
is still possible to scroll through the playlist.
Comment 17 Andre Klapper maemo.org 2010-01-20 22:49:04 UTC
So if everybody who is running into this could please test which desktop
widgets he/she uses, list them here, and also test if this still happens when
removing some (which of them?), this would be highly welcome in order to track
down the reason for this behaviour.
Comment 18 Radu Capitanu (reporter) 2010-01-20 23:01:57 UTC
(In reply to comment #17)
 Here's the widget list that seems conflictual with Media Player widget:
- OMWeather
- Personal Photo Phrame
- Eyes Widget
- Personal Dataplan Monitor
- Conversations Inbox Dextop Widget
- systeminfowidget

I Don't know how but now  Symple FMTX Desktop Widget seems to work with Media
Player one.

Off-topic: Any clue when 1.2010.02...(or something like this, from witch I
heard around this site) will be out? I have no idea how to calculate the date.
Thank you in advance for your answer!
Comment 19 Percy Leonhardt 2010-01-21 18:36:20 UTC
I tried to do a little debugging with dbus-monitor and found that the playback
manager doesn't seem to respond to a message from the widget.

Here is the error case:
method call sender=:1.29 -> dest=org.maemo.Playback.Manager serial=558
path=/org/maemo/Playback/Manager; interface=org.maemo.Playback.Manager;
member=RequestState
   object path "/org/maemo/playback0"
   string "Play"
   string "1080"
   string ""

No more output of dbus-monitor afterwards. In the good case it looks like this
(only the relevant lines):
method call sender=:1.29 -> dest=org.maemo.Playback.Manager serial=608
path=/org/maemo/Playback/Manager; interface=org.maemo.Playback.Manager;
member=RequestState
   object path "/org/maemo/playback1"
   string "Play"
   string "1080"
   string ""
method return sender=:1.3 -> dest=:1.29 reply_serial=608
   string "Play"

I removed some lines between the call and the response. After receiving the
response the widget started the playback with a call to
"com.nokia.mafw.renderer.Mafw-Gst-Renderer-Plugin.gstrenderer".

I think the problem is not related to the difference between "playback0" in the
error case and "playback1" in the good case.

As there is no source code for libplayback available (it is in Nokia binaries)
- I assume this is the library that handles the call to the playback manager -
I can not further help out here.

Hope these information help, I can do more dbus-monitoring if needed.
Comment 20 Radu Capitanu (reporter) 2010-01-24 23:06:57 UTC
Fresh news. It seems after all that the problem is caused by Extra Decoders
Support 0.3 Pack. I managed to install all the wigets that seemed conflictual
and after uninstalling the Decoders Pack, after a fresh restart, Media player
widget worked with all the widgets active on the main screen. It is more
apropriate to belive that only one application affect the widget and not a
whole list. Please try by uninstalling the decoders support and post here the
results.
Thanks!
Comment 21 Vladimir Oka 2010-01-25 13:54:58 UTC
(In reply to comment #20)
> Fresh news. It seems after all that the problem is caused by Extra Decoders
> Support 0.3 Pack. 
> ...

I can confirm the same! Thanks for figuring it out.
Comment 22 Percy Leonhardt 2010-01-25 14:27:41 UTC
(In reply to comment #20)
> Fresh news. It seems after all that the problem is caused by Extra Decoders
> Support 0.3 Pack. 
> ...

Hmmm, I don't have this package installed and never had it installed... so this
doesn't apply for me.
Comment 23 Andre Klapper maemo.org 2010-01-25 15:10:43 UTC
Adding the Extra Decoders maintainer to CC. Tomasz, see comment 19 and 20.
Comment 24 Tomasz Dominikowski 2010-01-25 15:33:59 UTC
I have no idea how my Extra Decoders Support package could be causing this
issue. All it does is put additional GStreamer decoder libraries in the
appropriate place and register those libraries using tracker-register-mimetype.
For convenience there's an XML file with mimetypes and an additional .desktop
file for those formats, so that they can be played from the File Manager
directly. Most of my code is based on ogg-support. The code is available at
http://code.google.com/p/extra-decoders-support-for-n900/ if any Nokia engineer
wants to take a peak.
Comment 25 Vladimir Oka 2010-01-25 16:51:37 UTC
(In reply to comment #24)
> I have no idea how my Extra Decoders Support package could be causing this
> issue. 
> ...

Hmmm. I have investigated some more now.

I do still get that with E.D. installed I cannot start MP widget after reboot.

But! maybe this observation may help, and point to a problem (wherever it is)?

After reboot, tracker-indexer runs for a VERY long time (think minutes, maybe
5+). I've confirmed this using Conky and top. While tracker-indexer is eating
up CPU (as much as 85%+ at times) it is impossible to start playback by tapping
MP widget, regardless of whether E.D. are installed or not. If I wait until
tracker has done its stuff, then I can start MP widget if E.D. are not
installed, but can't if they are. 

Now, I know nothing about how exactly E.D. installation works, but I see it
stops and starts media deamons, and since it adds support for more media types
it may affect how and what tracker(-indexer) does. 

Could this be a direction to look into?
Comment 26 Keywan Najafi Tonekaboni 2010-02-12 04:31:14 UTC
I removed Extras Decoders, it didn't helped. I removed all non official
widgets, it didn't helped. The play button works only after removing and
readding the media player widget.
Comment 27 Andre Klapper maemo.org 2010-02-12 16:14:22 UTC
Can everybody who sees this problem please check whether TouchSearch is
installed and whether this problem goes away when not having that widget on the
Desktop, and report back here after testing this?
Might be partially a duplicate of bug 8948 which still needs some proof (but of
course there could still be other reasons for this).
Comment 28 Vladimir Oka 2010-02-12 16:16:47 UTC
(In reply to comment #27)
> Can everybody who sees this problem please check whether TouchSearch is
> installed ...
> 

When I was seeing this problem TouchSearch wasn't installed. I had it installed
once, and it lasted 2 minutes. Unless it left some nasty in the system, I don't
think it's related.

I don't have the problem any more since I also uninstalled MP Widget. ;)
Comment 29 dpuricelli 2010-02-12 16:34:40 UTC
(In reply to comment #27)
> Can everybody who sees this problem please check whether TouchSearch is
> installed and whether this problem goes away when not having that widget on the
> Desktop, and report back here after testing this?
> Might be partially a duplicate of bug 8948 which still needs some proof (but of
> course there could still be other reasons for this).


Andre, I can confirm your proposed solution, removing TouchSearch widget from
the Desktop and rebooting the device fixed it for me, now Media Player widget
is working again, cool!
Comment 30 Neil MacLeod maemo.org 2010-02-12 17:50:10 UTC
2.2009.51-1

Never had TouchSearch or Extras Decoders installed, yet I've seen this problem
in the past.

Widgets I used have been mostly standard issue: Calendar, RSS, GPS, GPRS Data
Monitor, Media Player, several short cuts.
Comment 31 Hans 2010-02-13 15:06:24 UTC
(In reply to comment #27)
> Can everybody who sees this problem please check whether TouchSearch is
> installed

Never had TouchSearch installed. 

What I observed: After uninstalling Extra Decoders Support the problem seems to
appear less frequently. Couldit be that there's some kind of initialization
happening and if not finished on time (which might be more probable the more
decoders are installed?) then the widget doesn't work?

What I can also confirm is that removing the widget and adding it again cures
the problem (until reboot).

Other strange behaviour: If widget is in 'broken mode' and I start playback of
a title via media player then the widget can be used to pause the track and
skip tracks forward/backward but not to start playback again once it has been
paused.
Comment 32 Percy Leonhardt 2010-02-14 22:26:13 UTC
(In reply to comment #27)
> Can everybody who sees this problem please check whether TouchSearch is
> installed and whether this problem goes away when not having that widget on the
> Desktop, and report back here after testing this?

No, this does not work for me.

Another workaround I found for this problem is to change the current theme. For
me this looks like a timing problem where it is relevant when the widget gets
started.
Comment 33 alextootchie 2010-02-17 03:47:06 UTC
I have the same problem. It persists after the last update of the firmware
(3.2010.02-8).

Widgets on my N900:
- TouchSearch
- Eyes Widget
- Personal Dataplan Monitor
- Conversations Inbox
- Recaller
- Pedometer
Comment 34 Alexey 2010-02-21 09:30:03 UTC
I have the same problem with this widget on the latest firmware, the only
third-party widged i'm using is ussd widget.
Comment 35 figjina 2010-02-24 10:41:56 UTC
my opinion is that ANY action that refreshes the desktop can in principle
unlock the Media Player Widget (MPW):

- removing and readding MPW
- removing (or adding) other widgets
- removing a package related to the multimedia area
- changing the theme
- and so on.

IMHO the problem is that MPW gets locked independently on other apps.
Comment 36 Lucas Maneos 2010-02-27 12:09:36 UTC
*** Bug 9285 has been marked as a duplicate of this bug. ***
Comment 37 mohamed gamal 2010-02-28 16:43:42 UTC
will there be any future updates for this error?
Comment 38 Carlos 2010-03-05 16:44:58 UTC
I can confirm that uninstalling the Custom Operator Widget did not solve the
problem. After a Reboot, the play button does not respond. I tried a couple of
times, with a full power off and/or a Reboot, and it was the same. 

I noticed that sometimes, when deactivating one Widget or changing the Theme
and rebooting, it will work. But at the following Reboot it becomes
unresponsive. For example, I changed the Theme from Matrix to Nseries, reboot,
and it worked. Rebooted once more with no additional changes, and it is not
working again.

At the end I deactivated all widgets (Except Media Player and the bunch of
shortcuts). It worked after the first, second and third reboot. Changed back
the theme to Matrix and rebooted, MP working. Added widgets one by one (With no
particular order), rebooting after each one. I added 4 in this order: Tunewiki,
Desktop Command Execution, Simplenote and Personal Photo Frame. The fifth one
was the systeminfowidget, after a reboot, the media player didn't work.
Rebooted again it worked. Rebooted once more, it continued working. 
Went to a different desktop and added Touchsearch. Rebooted twice, Media player
never worked. Deactivated Touchsearch, rebooted, Media Player worked. Rebooted
once more, Media Player continued working. 
Went to a third desktop and added Calendar and another instance of Desktop
Command Execution. Media player worked.
Went to the fourth desktop and added Conversations, rebooted and Media Player
didn't work. Rebooted twice after that, and Media Player worked both times.
Added a third instance of Desktop Command Execution and rebooted twice. It
worked fine after both.
At this moment I had the same widgets I had before, except Touchsearch. So I
added Touchsearch once again, rebooted, and it worked! Rebooted again twice,
didn't work. Deactivated Touchsearch, rebooted two times and it worked.
Rebooted a third time, it didn't work. Rebooted for the fourth time and it
worked again.

Touchsearch is definitely affecting it, but note that the behavior is kind of
random. It didn't work, no matter which widgets I had or not, and then started
to work when it wanted. Additionally there are reports of people having the
same problem without the Touchsearch widget. Are there other widgets/apps doind
the same? You'll have to try as I did, my battery is running out and I'm not at
home.

So, just to shoot a random question, can it be somehow related to bug 8723
(https://bugs.maemo.org/show_bug.cgi?id=8723) which by the way I'm also having
continuosly? Maybe something related to a memory limit for Hildon-Desktop?

PS: I'm in the latest firmware.
Comment 39 Radu Capitanu (reporter) 2010-03-05 16:48:22 UTC
Hi!

I can not confirm this bug in 3.2010.02-8 firmware version! So for me the
problem is solved! I will keep you informed if there will be any changes!
Comment 40 Radu Capitanu (reporter) 2010-03-11 22:29:01 UTC
(In reply to comment #39)
 Hi!

It's me again! I installed Extra Decoders Support! After the install the bug
was present again!. I did a restart and the MP Widget works. I did another one
and again the bug reappear. 

I don't have installed Touchsearch , but sometimes after a restart widget
works, sometimes not. I'm still using extra decoders support! The bug appeared
when I installed those Extra Decoders Support. Until then all was fine!
Comment 41 navjeet_suri 2010-04-27 05:41:41 UTC
I face the same issue. I just bought my n900 a few days back and installed some
maemo apps.
Comment 42 Eero Tamminen nokia 2010-05-05 15:22:31 UTC
(In reply to comment #27)
> Can everybody who sees this problem please check whether TouchSearch is
> installed and whether this problem goes away when not having that widget
> on the Desktop, and report back here after testing this?

When testing applet specific issues, generally it's not enough just to remove
the applet, usually the applet has already done all the harm and removing it
doesn't get rid of the harm (memory leaks, misdirected D-BUS calls etc) within
the hildon-home process!

One needs to restart Home; either by rebooting, or by doing this from XTerm:
$ dsmetool -k /usr/bin/hildon-home
$ dsmetool -t /usr/bin/hildon-home
Comment 43 fileshifter 2010-05-27 20:17:52 UTC
I see this as well, actually for the first time (although i have not used this
widget previously).

Using PR1.2 and these other widgets: Calendar, Desktop Command Exectution,
Calendar, OMWeather, FM Transmitter Switch and a couple of starters.

For me it goes like this:

1. Reboot n900
2. Widget can do everything but NOT play. That means it can: pause, next,
previous and open media player, but NOT play. So play is the only thing that
does not work.
3. Remove, readd widget -> Everything fine.

Although I just noticed that all my desktop command execution widgets, FM
Switch and OMWeather just disappeared but that might be yet a different bug.
Comment 44 Eero Tamminen nokia 2010-05-28 10:50:23 UTC
(In reply to comment #43)
> Although I just noticed that all my desktop command execution widgets, FM
> Switch and OMWeather just disappeared but that might be yet a different bug.

This means that one of the widgets crashed home and it re-started in safe mode.

(It's a good indication that one of the widgets is buggy and causing this
issue.)
Comment 45 Laurence Lowe 2010-06-30 20:10:53 UTC
I can confirm this bug is still present in PR 1.2 (10.2010.19-1)

After I first upgraded the firmware, the Media Player widget was working fine.
In the last few days it has stopped working. Like others have mentioned,
next/previous track, pause, and launch media player are working, it's only play
that doesn't work. I can't track down which particular app I might have
installed that stopped this working. I thought it might have been
headphone-daemon, but even after uninstalling that, the widget is still
refusing to play my music.
Comment 46 Eero Tamminen nokia 2010-07-23 10:00:07 UTC
(In reply to comment #45)
> I can confirm this bug is still present in PR 1.2 (10.2010.19-1)
> 
> After I first upgraded the firmware, the Media Player widget was working fine.
> In the last few days it has stopped working. Like others have mentioned,
> next/previous track, pause, and launch media player are working, it's only
> play that doesn't work. I can't track down which particular app I might have
> installed that stopped this working. I thought it might have been
> headphone-daemon, but even after uninstalling that, the widget is still
> refusing to play my music.

After an applet or application makes a mess, you need to restart what it messed
(e.g. hildon-home in case of applets).  Or if it messed the system
configuration, the configuration itself needs to be fixed.
Comment 47 Andre Klapper maemo.org 2010-08-30 15:31:15 UTC
Still missing good, isolated steps to reproduce this and to prove that it is
not a 3rd party app issue ==> moreinfo.
Comment 48 Robert Andrzejuk 2010-10-13 18:36:34 UTC
Had a strange situation today, when I removed the Media Player widget to solve
above problem - all my widgets also disappeard.
Had to add all widgets maually.

Widget list:
- Media player
- OMWeather
- Dektop Command Execution
- Personal Dataplan Monitor
- Personl IP address
- sleeper
Comment 49 Eero Tamminen nokia 2010-10-13 18:39:53 UTC
(In reply to comment #48)
> Had a strange situation today, when I removed the Media Player widget to solve
> above problem - all my widgets also disappeard.

Most likely one of the widgets cause Home to crash and as a result, on restart
it disabled the 3rd party widgets (to prevent possible restart loops).
Comment 50 bugs.maemo.org@falkensweb.com 2010-11-03 23:56:40 UTC
I've just received the PR1.3 '203' variant, and the media player still does not
start playing when I press the play button on the widget.
Forward/next work however.
Comment 51 John 2010-11-04 01:09:13 UTC
i can also confirm this bug. sometimes it resolves it self but im not sure how
and when.

So nokia still didn't do shit to fix this. dammit how many freaking updates are
needed to fix this god damn bug! how freaking hard can it be to re-address the
play button? lazy #+*&$!

it has been there from day one!....
Comment 52 Eero Tamminen nokia 2010-11-04 12:19:04 UTC
(In reply to comment #51)
> So nokia still didn't do shit to fix this. dammit how many freaking updates are
> needed to fix this god damn bug! how freaking hard can it be to re-address the
> play button? lazy #+*&$!

This bug is still missing exact steps on how to reproduce it i.e. what 3rd
party package (combinations) are causing / triggering it.  After you add those,
please file bugs against these buggy 3rd party packages.  Clarifying summary.
Comment 53 bugs.maemo.org@falkensweb.com 2010-11-04 22:03:20 UTC
So this doesn't repo. on a totally clean N900 ?
Actve widgets on my desktop (only 3 screens):
1:
Two contact shortcuts, 
phone, email, fmms launch icons
Calender and converstations
2:
6 bookmark shorts cuts
witter, notes, console,pictures, browser, firefox, opera, scummvm launchers
3:
media player, data usage, weather
fmraduo and fm booster launchers
Comment 54 Eero Tamminen nokia 2010-11-05 10:30:50 UTC
(In reply to comment #53)
> So this doesn't repo. on a totally clean N900 ?

At least our internal testing nor anybody in this bug hasn't stated that it
would be reproducible.  Only with 3rd party applets.

All it takes is some "funny" D-BUS match rule, double free or other kind of
memory corruption in an applet (they're in-process to save (a lot of) memory)
and anything in Home can start behaving strangely.

Note that one needs to reboot or at least restart after Home after disabling an
applet, to be able to test whether it has an effect on this issue.

I'm not sure how bad D-BUS match rules (that are internal to the applet D-BUS
message handling) could be easily found, but for tracking memory corruption
issues the applet authors could be using Valgrind (its reports are only
positive proof of issues, it reporting nothing doesn't mean there wouldn't be
an issue).
Comment 55 plutonium239 2010-11-12 13:39:29 UTC
Just to add my observations:
The widget needs to be readded after each reboot so that it works. When the
play-button is hit the first time after a readding the desktop shuts down and
the bookmarks/contacts etc reappear after some seconds EXCEPT OMweather.
OMweather then needs to be added again. Hence, I figured that OMweather is
causing this?!? 

Anyways, I removed OMweather and rebooted and the media player widget still
worked. Readding it and rebooting the device resulted in the well-known bug
that the player does not respond to clicks on the play button.

Anyone here, experiencing problems with the play button, who DOES NOT use
OMweather?
Comment 56 jasaw81 2010-11-13 13:41:56 UTC
I do _not_ use OMweather and still get this bug, but I use Foreca Weather. The
PLAY button works occasionally for me. When I boot up the phone, sometimes it
works, sometimes it doesn't. When it doesn't work, it stays broken until I
readd the widget or reboot the phone. If it works, it stays in working
condition until the next reboot.
Comment 57 Andre Klapper maemo.org 2010-12-18 16:30:23 UTC
*** Bug 11701 has been marked as a duplicate of this bug. ***
Comment 58 fahadj2003 2011-09-20 09:50:35 UTC
I can confirm this bug.
for me, restarting helps.
But, there's a catch. As soon as i see the homescreen, I HAVE to press the play
button before i do anything. even scrolling through homescreem or opening the
menu causes the bug to reappear.
i've got calander, fm transmitter, bluezwitch, recaller, connectnow, *in first
screen* personal ip, personal dataplan. irreco, and touch search.. *in 2nd
screen*

I can test and know the cause if anyone tells me how *noob here :P*